Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#68376 - python-hypothesis package includes test files under generic package name

Attached to Project: Community Packages
Opened by Johannes Wienke (languitar) - Thursday, 22 October 2020, 07:37 GMT
Last edited by Morten Linderud (Foxboron) - Monday, 16 November 2020, 17:19 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

python-hypothesis 5.37.0-1 includes the unit tests inside the package under the very generic Python package name `tests`:

...
usr/lib/python3.8/site-packages/hypothesis/vendor/pretty.py
usr/lib/python3.8/site-packages/hypothesis/vendor/tlds-alpha-by-domain.txt
usr/lib/python3.8/site-packages/hypothesis/version.py
usr/lib/python3.8/site-packages/tests/
usr/lib/python3.8/site-packages/tests/__init__.py
usr/lib/python3.8/site-packages/tests/__pycache__/
usr/lib/python3.8/site-packages/tests/__pycache__/__init__.cpython-38.opt-1.pyc
usr/lib/python3.8/site-packages/tests/__pycache__/__init__.cpython-38.pyc
usr/lib/python3.8/site-packages/tests/__pycache__/conftest.cpython-38.opt-1.pyc
usr/lib/python3.8/site-packages/tests/__pycache__/conftest.cpython-38.pyc
usr/lib/python3.8/site-packages/tests/common/
usr/lib/python3.8/site-packages/tests/common/__init__.py
usr/lib/python3.8/site-packages/tests/common/__pycache__/
usr/lib/python3.8/site-packages/tests/common/__pycache__/__init__.cpython-38.opt-1.pyc
...

Polluting the global Python package namespace with such a generic name for tests that are not needed at runtime is a bad idea and risks further file conflicts. I just noticed that because the AUR package awslogs has the same packaging bug and thus both packages cannot be installed in parallel.

Additional info:
* package version(s): 5.37.0-1
This task depends upon

Closed by  Morten Linderud (Foxboron)
Monday, 16 November 2020, 17:19 GMT
Reason for closing:  Fixed
Additional comments about closing:  5.41.2-4

Loading...